DCMTK: DiJPLSPlugin Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DiJPLSPlugin Class Reference

Implementation of a JPEG-LS plugin for the dcmimgle/dcmimage library. More...

Inheritance diagram for DiJPLSPlugin:

## Public Member Functions
| DiJPLSPlugin ()
| constructor
virtual | ~DiJPLSPlugin ()
| destructor
virtual int | write (DiImage *image, FILE *stream, const unsigned long frame=0) const
| write given image to a file stream (JPLS format)
void | setTrueLosslessMode (OFBool mode)
| enable or disable true lossless compression mode
void | setForce8BitMode (OFBool mode)
| enable or disable forcing the output image bit depth to 8 bits in rendered lossless mode
Public Member Functions inherited from DiPluginFormat
virtual | ~DiPluginFormat ()
| destructor (virtual)

## Private Attributes
OFBool | trueLosslessMode_
| flag indicating the active compression mode
OFBool | force8BitMode_
| flag indicating the force-to-8-bit mode in rendered lossless mode

## Additional Inherited Members
Protected Member Functions inherited from DiPluginFormat
| DiPluginFormat ()
| constructor (protected)

## Detailed Description

Implementation of a JPEG-LS plugin for the dcmimgle/dcmimage library.

## Member Function Documentation

## ◆ setForce8BitMode()

void DiJPLSPlugin::setForce8BitMode | ( | OFBool | mode | ) |

enable or disable forcing the output image bit depth to 8 bits in rendered lossless mode

Parameters

  mode,OFTrue | for force to 8 bits

## ◆ setTrueLosslessMode()

void DiJPLSPlugin::setTrueLosslessMode | ( | OFBool | mode | ) |

enable or disable true lossless compression mode

Parameters

  mode,OFTrue | for true lossless, OFFalse for rendered lossless

## ◆ write()

virtual int DiJPLSPlugin::write | ( | DiImage * | image,
|  | FILE * | stream,
|  | const unsigned long | frame = 0 ) const
| virtual

write given image to a file stream (JPLS format)

Parameters

  image | pointer to DICOM image object to be written
  stream | stream to which the image is written (open in binary mode!)
  frame | index of frame used for output (default: first frame = 0)

Returns
  true if successful, false otherwise

Implements DiPluginFormat.

The documentation for this class was generated from the following file:

- dcmjpls/include/dcmtk/dcmjpls/dipijpls.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2